/**
 * @author Aman and Dilip  */

/** dojo.require statements  */
/** Examples */

dojo.require("com.ibm.mm.builder.iwidget.GenericLayout");
dojo.require("com.ibm.mm.builder.dnd.FreeformSource");
dojo.require("com.ibm.mm.builder.dnd.QuickWireTarget");
dojo.require("com.ibm.mm.builder.WidgetLoader");
dojo.require("com.ibm.mm.builder.iwidget.freeformlayout.defaultSettings");




dojo.declare("com.ibm.mm.builder.systemwidget.LegacyLayoutAdapter",null,{


//======================================iWidget event=========================================
	/**
	 * onLoad is the event which will be called when the legacy layout widget is loading
	 */    
	onLoad: function(){

     // Functionality required when legacy layout widet is loading goes here

    },


      /**
	 * onview event will be called when user switch the widget mode to view 
	 */
	onview:function(){

				},


/**
	 * onedit event will be called when user switch the widget mode to edit 
	 */	
	onedit:function(){
		
        },

	/**
	 * onUnload event will be called when user leave Legacy Layout  
	 */
	onUnload: function(){

			},
	//======================================end iWidget event=========================================





//======================================iEvent handler==============================================
	/**
	 * Handle function for iEvent 'com.ibm.mashups.builder.changePageMode'
	 * @param {Object} iEvent payload
	 */

    /** Aim here would be to accompalish following tasks :
       i) Recieve the event
       ii) Use the enabler API to do the actual change
       iii) Then broadcast the layoutRefresh event for the template layout wdget
    */
	
   /** i) Recieves the onPageModeChanged ievent */
   onPageModeChanged: function(iEvent){                                  
	
/**
 Old Code from free form layout widget which will be replaced by new code as mentioned below

	var mode = iEvent.payload;
		if(mode === "view" || mode === "edit") {
			this.pageMode = mode;
			this.configHelper.currentPageMode = mode;
			this.configHelper.toChangeFreeFormMode();                        // We will Use Enabler API to do the actual change.			
                  if(mode === "view"){ 
				this._hideWidgetEditbar();
			} else if(this.initialEdit){
				dojo.forEach(this.getWidgets(),  function(widgetId){
					if (dojo.byId(widgetId).getAttribute("internalwidget") != "true") {
						this.attachWidgetEditHandle(widgetId);					
					}
				}, this);
				this.initialEdit = false;
			}
		}
*/

/**ii) New Code will go here which will be using enable API's to do the actual change */

       Use enabler Api's to do the actual change.


/**iii) Broadcasts layout refresh event for template layout widget from Scott */


  this.eventService.broadcastEvent("com.ibm.mashups.builder.layoutRefresh", this.iContext.widgetId);  
	},
	



/** Similarly all the events which are required to be part of Legacy Layout widget according to CDD will have the similar handling */



});

